package com.brilliance.isc.common.bopset.service;

import com.brilliance.isc.common.jshmod.vo.Jshmod;

/**
 
 * @description 外汇账户内结售汇服务组件
 * @date 20240322
 */
public interface JshmodService {
    /**
     * 映射结售汇申报关键函数
     *
     * @param jshmod 结售汇申报实体模型
     */
    void mappingJSHDataAAAAAA(Jshmod jshmod);


    /**
     * 交易保存221
     *
     * @return
     * @param jshmod
     */
    boolean ruleMtabutSavN221(Jshmod jshmod);

    void saveJshmod(Jshmod jshmod);


    void calcJshmod(Jshmod jshmod);
}
